<?php


//recursively copy the asserts - except for swf files, strings.xml, settings.xml
function COPY_RECURSIVE_DIRS($dirsource, $dirdest) 
{ // recursive function to copy 
  // all subdirectories and contents: 
  echo "Copying: ".$dirsource."\n";
  if(is_dir($dirsource))$dir_handle=opendir($dirsource); 
  mkdir($dirdest."/".$dirsource, 0750); 
  while($file=readdir($dir_handle)) 
  { 
    if($file!="." && $file!=".." && $file!=".svn") 
    { 
      if(!is_dir($dirsource."/".$file)) 
      {
        if ($file != "strings.xml" && $file != "settings.xml")
        {
          $path_info = pathinfo($dirsource."/".$file);
          $ext = $path_info['extension'];
          if ($ext!="swf")
          {
            copy ($dirsource."/".$file, $dirdest."/".$dirsource."/".$file); 
          }
        }
      }
      else COPY_RECURSIVE_DIRS($dirsource."/".$file, $dirdest); 
    } 
  } 
  closedir($dir_handle); 
  return true; 
}

//recursively copy the asserts - except for swf files, strings.xml, settings.xml
function COPY_RECURSIVE_DIRS_2($dirsource, $dirdest) 
{ // recursive function to copy 
  // all subdirectories and contents: 
  echo "Copying: ".$dirsource."\n";
  if(is_dir($dirsource))$dir_handle=opendir($dirsource);   
  while($file=readdir($dir_handle)) 
  { 
    if($file!="." && $file!=".." && $file!=".svn") 
    { 
      if(!is_dir($dirsource."/".$file)) 
      {
        $path_info = pathinfo($dirsource."/".$file);
        $ext = $path_info['extension'];
        if ($file == "strings.xml" || $file == "settings.xml" || $ext=="swf")
        {
            mkdir($dirdest."/".$dirsource, 0750, true); 
            copy ($dirsource."/".$file, $dirdest."/".$dirsource."/".$file); 
        }
      }
      else COPY_RECURSIVE_DIRS_2($dirsource."/".$file, $dirdest); 
    } 
  } 
  closedir($dir_handle); 
  return true; 
}


$srcDir = "assets";
$tmpDir = "tmp";
$dstDir = "finalassets";

if (!file_exists($tmpDir))
{
  mkdir($tmpDir);
}
if (!file_exists($dstDir))
{
  mkdir($dstDir);
}

if (!file_exists($dstDir."/assets"))
{
  mkdir($dstDir."/assets");
}
COPY_RECURSIVE_DIRS($srcDir, $tmpDir);

//run pfpack
exec("pfpack.exe ".$tmpDir."/assets ".$dstDir."/assets/assets.pfp");

COPY_RECURSIVE_DIRS_2($srcDir, $dstDir);

?>